Bug 1027550 - (CVE-2013-6475) CVE-2013-6475 cups-filters: possible heap-based buffer overflows due to the use of gmalloc
CVE-2013-6475 cups-filters: possible heap-based buffer overflows due to the u...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140311,repor...
: Security
Depends On: 1052741 1074840
Blocks: 1002935 1010117
  Show dependency treegraph
 
Reported: 2013-11-06 23:22 EST by Murray McAllister
Modified: 2016-03-04 07:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 01:31:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2013-11-06 23:22:31 EST
Previously, the pdftoopvp filter used gmalloc for memory allocations. This could result in integer overflow flaws, leading to heap-based buffer overflows. If a malicious PDF file were processed, it could lead to arbitrary code execution with the privileges of the "lp" user. The following patch introduces the use of gmallocn and gmallocn3, which attempt to check for integer overflows:

http://cgit.freedesktop.org/poppler/poppler/commit/?id=7b2d314a61fd0e12f47c62996cb49ec0d1ba747a

Acknowledgements:

This issue was discovered by Florian Weimer of the Red Hat Product Security Team.
Comment 3 Huzaifa S. Sidhpurwala 2014-03-11 01:15:30 EDT
Public via:

http://bzr.linuxfoundation.org/loggerhead/openprinting/cups-filters/revision/7176

This issue has been resolved in upstream cups-filters-1.0.47
Comment 4 Huzaifa S. Sidhpurwala 2014-03-11 01:18:48 EDT
Created cups-filters tracking bugs for this issue:

Affects: fedora-all [bug 1074840]

Note You need to log in before you can comment on or make changes to this bug.